Equals (EasyMock 3.1 API)
Date: 2011-11-10

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.easymock.internal.matchers
Class Equals

    java.lang.Object
      org.easymock.internal.matchers.Equals

All Implemented Interfaces:
  Serializable, IArgumentMatcher

Direct Known Subclasses:
  ArrayEquals

    public class Equals

extends Object
implements IArgumentMatcher, Serializable

Author:
  OFFIS, Tammo Freese
See Also:
  Serialized Form

Constructor Summary
`Equals(Object expected)`

Method Summary
`void` | `appendTo(StringBuffer buffer)` Appends a string representation of this matcher to the given buffer.
`boolean` | `equals(Object o)`
`protected Object` | `getExpected()`
`int` | `hashCode()`
`boolean` | `matches(Object actual)` Returns whether this matcher accepts the given argument.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Equals

    public Equals(Object expected)

Method Detail

### matches

    public boolean matches(Object actual)

  Description copied from interface: `IArgumentMatcher`
  Returns whether this matcher accepts the given argument.

  Like Object.equals(), it should be aware that the argument passed might be null and of any type. So you will usually start the method with an instanceof and/or null check.

  The method should never assert if the argument doesn't match. It should only return false. EasyMock will take care of asserting if the call is really unexpected.

  Specified by:
    `matches` in interface `IArgumentMatcher`
  Parameters:
    `actual` - the argument
  Returns:
    whether this matcher accepts the given argument.

### appendTo

    public void appendTo(StringBuffer buffer)

  Description copied from interface: `IArgumentMatcher`
  Appends a string representation of this matcher to the given buffer. In case of failure, the printed message will show this string to allow to know which matcher was used for the failing call.

  Specified by:
    `appendTo` in interface `IArgumentMatcher`
  Parameters:
    `buffer` - the buffer to which the string representation is appended.

### getExpected

    protected final Object getExpected()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 OFFIS, Tammo Freese, Henri Tremblay. All Rights Reserved.